# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(Term/ReadLine.pm) perl-devel perl-podlators
# END SourceDeps(oneline)
Name:           perl-Term-ReadLine-Perl
Version:        1.0303
Release:        alt1_4
Summary:        Readline implementation in Perl
License:        GPL+ or Artistic
Group:          Development/Perl
URL:            http://search.cpan.org/dist/Term-ReadLine-Perl/
Source0:        http://www.cpan.org/authors/id/I/IL/ILYAZ/modules/Term-ReadLine-Perl-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
# Term::Cap is optional
# Run-time
BuildRequires:  perl(Carp.pm)
BuildRequires:  perl(SelfLoader.pm)
BuildRequires:  perl(Term/ReadKey.pm)
Requires:       perl(Term/ReadKey.pm)
Source44: import.info

%description
This is a quick implementation of the minimal interface to Readline libraries.
The implementation is made in Perl (mostly) by Jeffrey Friedl. The only thing
this library does is to make it conformant (and add some minimal changes, like
using Term::ReadKey if present, and correct work under xterm).

%prep
%setup -q -n Term-ReadLine-Perl-%{version}
chmod -x ReadLine/*.pm CHANGES README

%build
%{__perl} Makefile.PL INSTALLMAN1DIR=%_man1dir INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;
# %{_fixperms} $RPM_BUILD_ROOT/*

%check
# Disable interractive tests
AUTOMATED_TESTING=1 make test

%files
%doc CHANGES README
%{perl_vendor_privlib}/*

%changelog
* Mon Mar 04 2013 Igor Vlasenko <viy@altlinux.ru> 1.0303-alt1_4
- update to new release by fcimport

* Tue Jul 31 2012 Igor Vlasenko <viy@altlinux.ru> 1.0303-alt1_3
- update to new release by fcimport

* Wed May 23 2012 Igor Vlasenko <viy@altlinux.ru> 1.0303-alt1_1
- fc import

